Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java	(revision 3699)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java	(revision 3700)
@@ -59,12 +59,6 @@
 	@Override
 	protected void createFieldEditors() {
 		
-		// install directory
-		// addField(new DirectoryFieldEditor(TBXPreferences.INSTALL_DIR, TXMUIMessages.tXMInstallDirectory, getFieldEditorParent()));
-		
-		// txmhome directory
-		// addField(new DirectoryFieldEditor(TBXPreferences.USER_TXM_HOME, TXMUIMessages.tXMUserDirectory, getFieldEditorParent()));
-		
 		Group updateGroup = new Group(getFieldEditorParent(), SWT.NONE);
 		updateGroup.setText(TXMUIMessages.logs);
 		GridData gridData2 = new GridData(SWT.FILL, SWT.FILL, true, false);
@@ -104,13 +98,12 @@
 		addField(new BooleanFieldEditor(TBXPreferences.LOG_IN_FILE, TXMUIMessages.logInAFile, updateGroup));
 		
 		// Update level
-		String[][] choices2 = new String[4][2];
+		String[][] choices2 = new String[2][2];
 		choices2[0][0] = choices2[0][1] = "STABLE"; //$NON-NLS-1$
 		choices2[1][0] = choices2[1][1] = "BETA"; //$NON-NLS-1$
-		choices2[2][0] = choices2[2][1] = "ALPHA"; //$NON-NLS-1$
-		choices2[3][0] = choices2[3][1] = "DEV"; //$NON-NLS-1$
+//		choices2[2][0] = choices2[2][1] = "ALPHA"; //$NON-NLS-1$
+//		choices2[3][0] = choices2[3][1] = "DEV"; //$NON-NLS-1$
 		addField(new ComboFieldEditor(RCPPreferences.UPDATE_LEVEL, TXMUIMessages.updateLevel, choices2, getFieldEditorParent()));
-		
 	}
 	
 	/*
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 3699)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 3700)
@@ -35,21 +35,16 @@
 import org.eclipse.equinox.p2.repository.metadata.IMetadataRepositoryManager;
 import org.eclipse.equinox.p2.ui.ProvisioningUI;
 import org.eclipse.osgi.util.NLS;
-import org.eclipse.swt.SWT;
 import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.console.ConsolePlugin;
-import org.eclipse.ui.console.IConsole;
 import org.eclipse.ui.console.IOConsole;
-import org.eclipse.ui.handlers.HandlerUtil;
 import org.osgi.framework.Version;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.rcp.Activator;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.RCPPreferences;
-import org.txm.rcp.swt.dialog.TXMMessageBox;
 import org.txm.utils.BundleUtils;
-import org.txm.utils.OSDetector;
 import org.txm.utils.logger.Log;
 import org.txm.utils.zip.GZip;
 
@@ -309,50 +304,12 @@
 		}
 		
 		String updateLevel = RCPPreferences.getInstance().getString(RCPPreferences.UPDATE_LEVEL);
-		boolean alphaMode = false;
 		boolean betaMode = false;
-		boolean devMode = false;
-		if ("DEV".equals(updateLevel)) {//$NON-NLS-1$
-			devMode = alphaMode = betaMode = true;
-		}
-		else if ("ALPHA".equals(updateLevel)) {//$NON-NLS-1$
-			alphaMode = betaMode = true;
-		}
-		else if ("BETA".equals(updateLevel)) {//$NON-NLS-1$
+		if ("BETA".equals(updateLevel)) {//$NON-NLS-1$
 			betaMode = true;
 		}
-		Log.fine("Update levels: dev=" + devMode + " alpha=" + alphaMode + " beta=" + betaMode); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-		
-		String uriDev = uriBase + "/dev";//$NON-NLS-1$
-		try {
-			URI repoUriDev = new URI(uriDev);
-			if (devMode) {
-				addURL(agent, repoUriDev, "dev"); //$NON-NLS-1$
-			}
-			else {
-				removeURL(agent, repoUriDev);
-			}
-		}
-		catch (Exception e) {
-			Log.warning(TXMUIMessages.bind(TXMUIMessages.CouldNotAddTheP0UpdateRepositoryP1, uriDev, e));
-			Log.printStackTrace(e);
-		}
-		
-		String uriAlpha = uriBase + "/alpha";//$NON-NLS-1$
-		try {
-			URI repoUriAlpha = new URI(uriAlpha);
-			if (alphaMode) {
-				addURL(agent, repoUriAlpha, "alpha"); //$NON-NLS-1$
-			}
-			else {
-				removeURL(agent, repoUriAlpha);
-			}
-		}
-		catch (Exception e) {
-			Log.warning(TXMUIMessages.bind(TXMUIMessages.CouldNotAddTheP0UpdateRepositoryP1, uriAlpha, e));
-			Log.printStackTrace(e);
-		}
-		
+		Log.fine("Update mode: beta=" + betaMode); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				
 		String uriBeta = uriBase + "/beta";//$NON-NLS-1$
 		try {
 			URI repoUriBeta = new URI(uriBeta);
@@ -387,50 +344,12 @@
 		}
 		
 		String updateLevel = RCPPreferences.getInstance().getString(RCPPreferences.UPDATE_LEVEL);
-		boolean alphaMode = false;
 		boolean betaMode = false;
-		boolean devMode = false;
-		if ("DEV".equals(updateLevel)) {//$NON-NLS-1$
-			devMode = alphaMode = betaMode = true;
-		}
-		else if ("ALPHA".equals(updateLevel)) {//$NON-NLS-1$
-			alphaMode = betaMode = true;
-		}
-		else if ("BETA".equals(updateLevel)) {//$NON-NLS-1$
+		if ("BETA".equals(updateLevel)) {//$NON-NLS-1$
 			betaMode = true;
 		}
-		Log.fine("Update levels: dev=" + devMode + " alpha=" + alphaMode + " beta=" + betaMode); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-		
-		String uriDev = uriBase + "/dev";//$NON-NLS-1$
-		try {
-			URI repoUriDev = new URI(uriDev);
-			if (devMode) {
-				addURL(agent, repoUriDev, "dev"); //$NON-NLS-1$
-			}
-			else {
-				removeURL(agent, repoUriDev);
-			}
-		}
-		catch (Exception e) {
-			Log.warning(TXMUIMessages.bind(TXMUIMessages.CouldNotAddTheP0ExtensionsUpdateRepositoryP1, uriDev, e));
-			Log.printStackTrace(e);
-		}
-		
-		String uriAlpha = uriBase + "/alpha";//$NON-NLS-1$
-		try {
-			URI repoUriAlpha = new URI(uriAlpha);
-			if (alphaMode) {
-				addURL(agent, repoUriAlpha, "alpha"); //$NON-NLS-1$
-			}
-			else {
-				removeURL(agent, repoUriAlpha);
-			}
-		}
-		catch (Exception e) {
-			Log.warning(TXMUIMessages.bind(TXMUIMessages.CouldNotAddTheP0ExtensionsUpdateRepositoryP1, uriAlpha, e));
-			Log.printStackTrace(e);
-		}
-		
+		Log.fine("Update levels: beta=" + betaMode); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				
 		String uriBeta = uriBase + "/beta";//$NON-NLS-1$
 		try {
 			URI repoUriBeta = new URI(uriBeta);
@@ -445,14 +364,11 @@
 			Log.warning(TXMUIMessages.bind(TXMUIMessages.CouldNotAddTheP0ExtensionsUpdateRepositoryP1, uriBeta, e));
 			Log.printStackTrace(e);
 		}
-		
 	}
 	
 	public static boolean addURL(IProvisioningAgent agent, URI location, String level) {
-		IMetadataRepositoryManager manager = (IMetadataRepositoryManager) agent
-				.getService(IMetadataRepositoryManager.SERVICE_NAME);
-		IArtifactRepositoryManager manager2 = (IArtifactRepositoryManager) agent
-				.getService(IArtifactRepositoryManager.SERVICE_NAME);
+		IMetadataRepositoryManager manager = (IMetadataRepositoryManager) agent.getService(IMetadataRepositoryManager.SERVICE_NAME);
+		IArtifactRepositoryManager manager2 = (IArtifactRepositoryManager) agent.getService(IArtifactRepositoryManager.SERVICE_NAME);
 		
 		if (manager == null) {
 			System.out.println("No metadata repository manager found"); //$NON-NLS-1$
@@ -484,7 +400,6 @@
 		}
 		
 		try {
-			// manager.removeRepository(location)
 			manager2.loadRepository(location, null);
 			return true;
 		}
@@ -505,11 +420,10 @@
 	}
 	
 	public static boolean removeURL(IProvisioningAgent agent, URI location) {
-		IMetadataRepositoryManager manager = (IMetadataRepositoryManager) agent
-				.getService(IMetadataRepositoryManager.SERVICE_NAME);
-		IArtifactRepositoryManager manager2 = (IArtifactRepositoryManager) agent
-				.getService(IArtifactRepositoryManager.SERVICE_NAME);
 		
+		IMetadataRepositoryManager manager = (IMetadataRepositoryManager) agent.getService(IMetadataRepositoryManager.SERVICE_NAME);
+		IArtifactRepositoryManager manager2 = (IArtifactRepositoryManager) agent.getService(IArtifactRepositoryManager.SERVICE_NAME);
+		
 		if (manager == null) {
 			Log.severe("No metadata repository manager found"); //$NON-NLS-1$
 			return false;
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3699)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3700)
@@ -942,6 +942,10 @@
 			public void run() {
 				try {
 					System.out.println(getTXMStartMessage());
+					if ("BETA".equals(RCPPreferences.getInstance().getString(RCPPreferences.UPDATE_LEVEL))) {
+						System.out.println("WARNING: TXM IS CURRENTLY RUNNING IN TEST MODE.");
+						System.out.println("         Change update level to STABLE and remove the tested extension&updates if you need to work.");
+					}
 
 					// ensure some preferences are set
 					DefaultScope.INSTANCE.getNode("org.eclipse.ui.workbench").putBoolean(IPreferenceConstants.RUN_IN_BACKGROUND, false); //$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 3699)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 3700)
@@ -6,176 +6,174 @@
 import org.txm.Toolbox;
 
 public class TBXPreferences extends TXMPreferences {
-	
+
 	public static String VERSION = "version";
-	
+
 	public static final String FETCH_UPDATES_AT_STARTUP = "fetch_updates_at_startup";
-	
+
 	/** The Constants for Toolbox properties. */
 	public static final String LOG_LEVEL = "log_level"; //$NON-NLS-1$
-	
+
 	public static final String ADD_TECH_LOGS = "log_in_console"; //$NON-NLS-1$
-	
+
 	public static final String SHOW_TIMINGS = "show_timings"; //$NON-NLS-1$
-	
+
 	public static final String LOG_DIR = "log_directory"; //$NON-NLS-1$
-	
+
 	public static final String LOG_IN_FILE = "log_in_file"; //$NON-NLS-1$
-	
+
 	public static final String EXPERT_USER = "txm_expert_user"; //$NON-NLS-1$
-	
+
 	public static final String LOG_STACKTRACE = "log_stacktrace"; //$NON-NLS-1$
-	
+
 	/** The Constant SCRIPT_ROOT_DIR. */
 	public static final String SCRIPT_ROOT_DIR = "script_root_dir"; //$NON-NLS-1$
-	
+
 	/** The Constant SCRIPT_CURRENT_DIR. */
 	public static final String SCRIPT_CURRENT_DIR = "script_current_dir"; //$NON-NLS-1$
-	
+
 	/** The Constant UI_LOCALE. */
 	public static final String UI_LOCALE = "ui_locale"; //$NON-NLS-1$
-	
+
 	/** The Constant INSTALL_DIR. */
 	public static final String INSTALL_DIR = "install_dir"; //$NON-NLS-1$
-	
+
 	/** The Constant USER_TXM_HOME. */
 	public static final String USER_TXM_HOME = "user_txm_home"; //$NON-NLS-1$
-	
+
 	public static final String METADATA_ENCODING = "metadata_encoding"; //$NON-NLS-1$
-	
+
 	public static final String METADATA_COLSEPARATOR = "metadata_colseparator"; //$NON-NLS-1$
-	
+
 	public static final String METADATA_TXTSEPARATOR = "metadata_txtseparator"; //$NON-NLS-1$
-	
+
 	public static final String EMPTY_PROPERTY_VALUE_CODE = "empty_property_value_code";
-	
+
 	public static final String CLIPBOARD_IMPORT_DEFAULT_LANG = "import_default_lang";
-	
+
 	/** The Constant EXPORT_SHOW. */
 	public static final String EXPORT_SHOW = "export_show"; //$NON-NLS-1$
-	
+
 	/** The Constant EXPORT_ENCODING. */
 	public static final String EXPORT_ENCODING = "export_encoding"; //$NON-NLS-1$
-	
+
 	/** The Constant EXPORT_COLSEPARATOR. */
 	public static final String EXPORT_COL_SEPARATOR = "export_colseparator"; //$NON-NLS-1$
-	
+
 	/** The Constant EXPORT_TXTSEPARATOR. */
 	public static final String EXPORT_TXT_SEPARATOR = "export_txtseparator"; //$NON-NLS-1$
-	
+
 	public static final String EDITION_DEFINITION_BUILD = "edition_definition_build"; //$NON-NLS-1$
-	
+
 	public static final String EDITION_DEFINITION_PAGINATE = "edition_definition_paginate"; //$NON-NLS-1$
-	
+
 	public static final String EDITION_DEFINITION_WORDS_PER_PAGE = "edition_definition_words_per_page"; //$NON-NLS-1$
-	
+
 	public static final String EDITION_DEFINITION_ENABLE_COLLAPSIBLE_METADATA = "edition_definition_enable_collapsible"; //$NON-NLS-1$
-	
+
 	public static final String EDITION_DEFINITION_PAGE_BREAK_ELEMENT = "edition_definition_page_break_element"; //$NON-NLS-1$
-	
+
 	public static final String EDITION_DEFINITION_IMAGES_DIRECTORY = "edition_definition_images_directory"; //$NON-NLS-1$
-	
+
 	public static final String EDITION_DEFINITION_TOOLTIP_PROPERTIES = "edition_definition_tooltip_properties"; //$NON-NLS-1$
-	
+
 	/**
 	 * To show or not all nodes in some views, eg. in CorporaView tree.
 	 */
 	public static final String SHOW_ALL_RESULT_NODES = "show_all_result_nodes"; //$NON-NLS-1$
-	
+
 	/*
 	 * Base URL of TXM update site
 	 */
 	public static final String UPDATESITE = "update_site"; //$NON-NLS-1$
-	
+
 	/*
 	 * Base URL of TXM files site
 	 */
 	public static final String RAWFILESSITE = "raw_files_site"; //$NON-NLS-1$
-	
+
 	/*
 	 * Base URL of TXM files site
 	 */
 	public static final String FILESSITE = "files_site"; //$NON-NLS-1$
-	
-	
-	
+
 	/**
-	 * To enable/disable the results persistence (save after a computing and load at Toolbox start).
+	 * To enable/disable the results persistence (save after a computing and load at
+	 * Toolbox start).
 	 */
 	public static final String AUTO_PERSISTENCE_ENABLED = "auto_persistence_enabled"; //$NON-NLS-1$
-	
+
 	public static final String VALUE = "value";
-	
+
 	public static final String INDEX = "index";
-	
+
 	public static final String NAME = "name";
-	
+
 	public static final String NAMES = "names";
-	
+
 	public static final String TYPE = "type";
-	
+
 	public static final String SOURCE = "source";
-	
+
 	public static final String XMLTXM = "xmltxm";
-	
+
 	public static final String LANG = "lang";
-	
+
 	/**
 	 * start script of the import process of a corpus
 	 */
 	public static final String IMPORT_MODULE_NAME = "import_module_name";
-	
+
 	/**
 	 * corpus alignment configurations
 	 */
 	public static final String LINKS = "corpus_links";
-	
+
 	public static final String IMPORTXMLFILE = "import_xml_path";
-	
+
 	public static final String FONT = "font";
-	
+
 	public static final String AUTHOR = "author";
-	
+
 	public static final String FRONT_XSL = "front_xsl";
-	
+
 	public static final String DEFAULT_EDITION = "default_edition";
-	
+
 	public static final String FRONT_XSL_PARAMETERS = "front_xsl_parameters";
-	
+
 	public static final String DESCRIPTION = "description";
-	
+
 	public static final String ANNOTATE = "annotate";
-	
+
 	public static final String ID = "id";
-	
+
 	public static final String REF_PROPERTY = "ref_property";
-	
+
 	public static final String SORT_PROPERTY = "sort_property";
-	
+
 	public static final String VIEW_PROPERTY = "view_property";
-	
+
 	public static final String CLEAN = "clean.directories";
-	
+
 	public static final String TTMODEL = "annotate.model";
-	
+
 	public static final String TTANNOTATE = "annotate.run";
-	
+
 	public static final String MULTITHREAD = "multithread";
-	
+
 	public static final String DEBUG = "debug";
-	
+
 	public static final String UPDATECORPUS = "corpus.update";
 	public static final String UPDATEEDITIONS = "update_editions";
-	
+
 	public static final String NORMALISEANAVALUES = "normalize.ana.values";
-	
+
 	public static final String NORMALISEATTRIBUTEVALUES = "normalize.attribute.values";
-	
+
 	public static final String CORPUS_VERSION = "corpus_version";
 
 	public static final String CLIPBOARD_IMPORT_ASK_LANG = "clipboard_import_ask_lang";
-	
-	
+
 	/**
 	 * Gets the instance.
 	 * 
@@ -187,40 +185,34 @@
 		}
 		return TXMPreferences.instances.get(TBXPreferences.class);
 	}
-	
-	
+
 	@Override
 	public void initializeDefaultPreferences() {
 		super.initializeDefaultPreferences();
 		Preferences preferences = this.getDefaultPreferencesNode();
-		
-		// //FIXME: USE osgi.instance.area later & done in ApplicationWorkbenchAdvisor
-		// preferences.put(TBXPreferences.USER_TXM_HOME, System.getProperty("user.home")+"/TXM");
-		// preferences.put(TBXPreferences.USER_TXM_HOME, System.getProperty("user.home")); //$NON-NLS-1$
-		
+
 		preferences.putBoolean(TBXPreferences.EXPERT_USER, false);
 		preferences.putBoolean(TBXPreferences.VISIBLE, true);
 		preferences.putBoolean(TBXPreferences.CLEAN, true);
 		preferences.putBoolean(TBXPreferences.PERSITABLE, false);
-		
-		
+
 		// FIXME
 		preferences.putBoolean(TBXPreferences.ADD_TECH_LOGS, true);
 		preferences.putBoolean(TBXPreferences.LOG_STACKTRACE, false);
 		preferences.putBoolean(TBXPreferences.LOG_IN_FILE, false);
 		preferences.put(TBXPreferences.LOG_LEVEL, "INFO"); //$NON-NLS-1$
-		
+
 		preferences.putBoolean(TBXPreferences.CLIPBOARD_IMPORT_ASK_LANG, true);
 		preferences.put(TBXPreferences.CLIPBOARD_IMPORT_DEFAULT_LANG, Locale.getDefault().getLanguage().toLowerCase());
 		preferences.put(TBXPreferences.UI_LOCALE, "fr"); //$NON-NLS-1$
-		
+
 		preferences.put(TBXPreferences.LANG, Locale.getDefault().getLanguage().toLowerCase());
 		preferences.put(TBXPreferences.ENCODING, DEFAULT_ENCODING);
 		preferences.put(TBXPreferences.DEFAULT_EDITION, "default"); //$NON-NLS-1$
 		preferences.putBoolean(TBXPreferences.ANNOTATE, false);
-		
+
 		preferences.put(TBXPreferences.METADATA_ENCODING, "UTF-8"); //$NON-NLS-1$
-		
+
 		if (Locale.getDefault().getCountry().equals("fr")) {
 			preferences.put(TBXPreferences.METADATA_COLSEPARATOR, ";"); //$NON-NLS-1$
 			preferences.put(TBXPreferences.METADATA_TXTSEPARATOR, "\""); //$NON-NLS-1$
@@ -229,26 +221,20 @@
 			preferences.put(TBXPreferences.METADATA_TXTSEPARATOR, "\""); //$NON-NLS-1$
 		}
 		preferences.put(TBXPreferences.EMPTY_PROPERTY_VALUE_CODE, "__UNDEF__"); //$NON-NLS-1$
-		
+
 		preferences.put(EXPORT_COL_SEPARATOR, "\t"); //$NON-NLS-1$
 		preferences.put(EXPORT_ENCODING, System.getProperty("file.encoding")); //$NON-NLS-1$
 		preferences.put(EXPORT_TXT_SEPARATOR, ""); //$NON-NLS-1$
 		preferences.putBoolean(EXPORT_SHOW, false);
-		
+
 		preferences.putBoolean(SHOW_ALL_RESULT_NODES, false);
 		preferences.putBoolean(AUTO_PERSISTENCE_ENABLED, false);
-		
+
 		preferences.putBoolean(UPDATEEDITIONS, true);
-		
-		if (Toolbox.getTxmHomePath().endsWith("-dev")) {
-			preferences.put(UPDATESITE,		"file://" + System.getProperty("user.home") + "/workspace047/TXMReleasePlugins.site/");
-			preferences.put(RAWFILESSITE,	"file://" + System.getProperty("user.home") + "/workspace047/org.txm.setups/");
-			preferences.put(FILESSITE,		"file://" + System.getProperty("user.home") + "/workspace047/org.txm.setups/");
-		}
-		else {
-			preferences.put(UPDATESITE,		"https://gitlab.huma-num.fr/txm/txm-software/-/raw/master/dist/");
-			preferences.put(RAWFILESSITE,	"https://gitlab.huma-num.fr/txm/txm-software/-/raw/master/files/");
-			preferences.put(FILESSITE,		"https://txm.gitpages.huma-num.fr/textometrie/files/");
-		}
+
+		preferences.put(UPDATESITE, "https://gitlab.huma-num.fr/txm/txm-software/-/raw/master/dist/");
+		preferences.put(RAWFILESSITE, "https://gitlab.huma-num.fr/txm/txm-software/-/raw/master/files/");
+		preferences.put(FILESSITE, "https://txm.gitpages.huma-num.fr/textometrie/files/");
+
 	}
 }
